List all customers
Returns a paginated list of your customers. The customers are sorted in order, with the most recent customers appearing first.
/v1/customers/Authorization
api_key_auth API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Query Parameters
The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.
A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.
^[0-9a-fA-F]{24}$A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.
^[0-9a-fA-F]{24}$Case-insensitive search matched against customer name and email.
date-timedate-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/customers/"{
"data": [
{
"id": "string",
"name": "string",
"companyName": "string",
"email": "string",
"phone": "string",
"billingEmail": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
},
"shipping": {
"name": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
}
},
"taxId": "string",
"taxIdType": "string",
"sellerId": "string",
"stripeCustomerId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"has_more": true
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}